SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (File Transfer/Sharing)  >   Samba Vendors:   Samba.org
(Oracle Issues Fix for Oracle Linux) Samba Lets Remote Authenticated Users Cause the Target 'winbindd' Service to Crash
SecurityTracker Alert ID:  1038155
SecurityTracker URL:  http://securitytracker.com/id/1038155
CVE Reference:   CVE-2016-2126   (Links to External Site)
Date:  Mar 28 2017
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 4.0.0 - 4.5.2
Description:   A vulnerability was reported in Samba. A remote authenticated user can cause the target service to crash.

A remote authenticated user can send a specially crafted Privilege Attribute Certificate (PAC) to trigger an overflow and cause the target winbindd service to crash.

Volker Lendecke reported this vulnerability.

Impact:   A remote authenticated user can cause the target service to crash.
Solution:   Oracle has issued a fix for samba4.

The Oracle Linux advisory is available at:

http://linux.oracle.com/errata/ELSA-2017-0744.html

Vendor URL:  linux.oracle.com/errata/ELSA-2017-0744.html (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Oracle)
Underlying OS Comments:  6

Message History:   This archive entry is a follow-up to the message listed below.
Dec 19 2016 Samba Lets Remote Authenticated Users Cause the Target 'winbindd' Service to Crash



 Source Message Contents

Subject:  [El-errata] ELSA-2017-0744 Moderate: Oracle Linux 6 samba4 security and bug fix update

Oracle Linux Security Advisory ELSA-2017-0744

http://linux.oracle.com/errata/ELSA-2017-0744.html

The following updated rpms for Oracle Linux 6 have been uploaded to the 
Unbreakable Linux Network:

i386:
samba4-4.2.10-9.el6.i686.rpm
samba4-client-4.2.10-9.el6.i686.rpm
samba4-common-4.2.10-9.el6.i686.rpm
samba4-dc-4.2.10-9.el6.i686.rpm
samba4-dc-libs-4.2.10-9.el6.i686.rpm
samba4-devel-4.2.10-9.el6.i686.rpm
samba4-libs-4.2.10-9.el6.i686.rpm
samba4-pidl-4.2.10-9.el6.i686.rpm
samba4-python-4.2.10-9.el6.i686.rpm
samba4-test-4.2.10-9.el6.i686.rpm
samba4-winbind-4.2.10-9.el6.i686.rpm
samba4-winbind-clients-4.2.10-9.el6.i686.rpm
samba4-winbind-krb5-locator-4.2.10-9.el6.i686.rpm

x86_64:
samba4-4.2.10-9.el6.x86_64.rpm
samba4-client-4.2.10-9.el6.x86_64.rpm
samba4-common-4.2.10-9.el6.x86_64.rpm
samba4-dc-4.2.10-9.el6.x86_64.rpm
samba4-dc-libs-4.2.10-9.el6.x86_64.rpm
samba4-devel-4.2.10-9.el6.x86_64.rpm
samba4-libs-4.2.10-9.el6.x86_64.rpm
samba4-pidl-4.2.10-9.el6.x86_64.rpm
samba4-python-4.2.10-9.el6.x86_64.rpm
samba4-test-4.2.10-9.el6.x86_64.rpm
samba4-winbind-4.2.10-9.el6.x86_64.rpm
samba4-winbind-clients-4.2.10-9.el6.x86_64.rpm
samba4-winbind-krb5-locator-4.2.10-9.el6.x86_64.rpm


SRPMS:
http://oss.oracle.com/ol6/SRPMS-updates/samba4-4.2.10-9.el6.src.rpm



Description of changes:

[4.2.10-9]
- resolves: #1405358 - CVE-2016-2125 CVE-2016-2126

[4.2.10-8]
- Synchronize patches for Samba 4.2.10 with RHEL 7.2.z
- Resolves: #1383685 - Update samba4 to be on par with RHEL 7.2.z


_______________________________________________
El-errata mailing list
El-errata@oss.oracle.com
https://oss.oracle.com/mailman/listinfo/el-errata
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC